Skip to main content
PUT
/
v1
/
google-calendar
/
events
/
{event_id}
Update Event
curl --request PUT \
  --url https://api.ontora.com/v1/google-calendar/events/{event_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "summary": "<string>",
  "start": {
    "dateTime": "<string>",
    "date": "<string>",
    "timeZone": "<string>"
  },
  "end": {
    "dateTime": "<string>",
    "date": "<string>",
    "timeZone": "<string>"
  },
  "description": "<string>",
  "location": "<string>",
  "attendees": [
    {
      "email": "<string>",
      "displayName": "<string>",
      "responseStatus": "<string>",
      "optional": true
    }
  ],
  "calendarId": "primary"
}
'
{
  "id": "<string>",
  "summary": "<string>",
  "description": "<string>",
  "location": "<string>",
  "start": {},
  "end": {},
  "htmlLink": "<string>",
  "status": "<string>",
  "organizer": {},
  "attendees": [
    {}
  ],
  "hangoutLink": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

event_id
string
required

Query Parameters

workspace_id
string<uuid>
required

Body

application/json
summary
string
required
start
EventDateTime · object
required
end
EventDateTime · object
required
description
string | null
location
string | null
attendees
EventAttendee · object[] | null
calendarId
string | null
default:primary

Response

Successful Response

id
string
required
summary
string | null
description
string | null
location
string | null
start
Start · object
end
End · object
status
string | null
organizer
Organizer · object
attendees
Attendees · object[] | null